package WebDP::Book;
use strict;
use WebDP::Data::Book;

# called as book.findByISBN
@book::ISA = qw(WebDP::Book); # #1

sub findByISBN {
    my($class, $isbn) = @_;
    my $book = WebDP::Data::Book->retrieve($isbn) or return;
    return $book->as_hashref;
}

sub findByAuthor {
    my($class, $author) = @_;
    my @books = WebDP::Data::Book->search(author => $author);
    return [ map $_->as_hashref, @books ];
}

1;