package WebDP::Data::Book;
use strict;
use base qw(Class::DBI);
__PACKAGE__->set_db(Main => "dbi:mysql:test", "user", "password");
__PACKAGE__->table('book');
__PACKAGE__->columns(All => qw(isbn author publisher title price release_date));

sub as_hashref {
    my $self = shift;
    my %hash = map { $_ => $self->get($_) } $self->columns('All');
    return \%hash;
}

1;